Package org.apache.sling.cms.readability

## Class Word

- java.lang.Object
- - org.apache.sling.cms.readability.Word

    public class Word
    extends Object

Represents a word which has been analyzed

### Constructor Summary

Constructors
`Word​(String original, String normalized, int sylables, boolean complex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCharacters()`
`String` `getNormalized()`
`String` `getOriginal()`
`int` `getSylables()`
`boolean` `isComplex()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Word

    public Word​(String original,
                String normalized,
                int sylables,
                boolean complex)

### Method Detail

#### getCharacters

    public int getCharacters()

#### getNormalized

    public String getNormalized()

#### getOriginal

    public String getOriginal()

#### getSylables

    public int getSylables()

#### isComplex

    public boolean isComplex()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`